Eclipse Platform Release 3.7

## org.eclipse.swt.graphics
Class GCData

    java.lang.Object
      org.eclipse.swt.graphics.GCData

    public final class GCData

extends Object

Instances of this class are descriptions of GCs in terms of unallocated platform-specific data fields.

IMPORTANT: This class is not part of the public API for SWT. It is marked public only so that it can be shared within the packages provided by SWT. It is not available on all platforms, and should never be called from application code.

See Also:
  Sample code and further information
Restriction:
  This class is not intended to be instantiated by clients.

Field Summary
`int` `alpha`
`int` `background`
`Pattern` `backgroundPattern`
`Device` `device`
`boolean` `focusDrawn`
`Font` `font`
`int` `foreground`
`Pattern` `foregroundPattern`
`int` `gdipBgBrush`
`int` `gdipBrush`
`int` `gdipFgBrush`
`int` `gdipFont`
`int` `gdipGraphics`
`int` `gdipPen`
`float` `gdipXOffset`
`float` `gdipYOffset`
`int` `hBrush`
`int` `hGDIFont`
`int` `hNullBitmap`
`int` `hOldBrush`
`int` `hOldPen`
`int` `hPen`
`int` `hwnd`
`Image` `image`
`int` `layout`
`int` `lineCap`
`float[]` `lineDashes`
`float` `lineDashesOffset`
`int` `lineJoin`
`float` `lineMiterLimit`
`int` `lineStyle`
`float` `lineWidth`
`org.eclipse.swt.internal.win32.PAINTSTRUCT` `ps`
`int` `state`
`int` `style`
`int` `uiState`

Constructor Summary
`GCData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### device

    public Device device

### style

    public int style

### state

    public int state

### foreground

    public int foreground

### background

    public int background

### font

    public Font font

### foregroundPattern

    public Pattern foregroundPattern

### backgroundPattern

    public Pattern backgroundPattern

### lineStyle

    public int lineStyle

### lineWidth

    public float lineWidth

### lineCap

    public int lineCap

### lineJoin

    public int lineJoin

### lineDashesOffset

    public float lineDashesOffset

### lineDashes

    public float[] lineDashes

### lineMiterLimit

    public float lineMiterLimit

### alpha

    public int alpha

### image

    public Image image

### hPen

    public int hPen

### hOldPen

    public int hOldPen

### hBrush

    public int hBrush

### hOldBrush

    public int hOldBrush

### hNullBitmap

    public int hNullBitmap

### hwnd

    public int hwnd

### ps

    public org.eclipse.swt.internal.win32.PAINTSTRUCT ps

### layout

    public int layout

### gdipGraphics

    public int gdipGraphics

### gdipPen

    public int gdipPen

### gdipBrush

    public int gdipBrush

### gdipFgBrush

    public int gdipFgBrush

### gdipBgBrush

    public int gdipBgBrush

### gdipFont

    public int gdipFont

### hGDIFont

    public int hGDIFont

### gdipXOffset

    public float gdipXOffset

### gdipYOffset

    public float gdipYOffset

### uiState

    public int uiState

### focusDrawn

    public boolean focusDrawn

Constructor Detail

### GCData

    public GCData()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.